# Function createUpgradeContractInstruction

- createUpgradeContractInstruction(connection, wormholeProgramId, payer, vaa): TransactionInstruction

- #### Parameters

  - ##### connection: Connection

  - ##### wormholeProgramId: PublicKeyInitData

  - ##### payer: PublicKeyInitData

  - ##### vaa: VAA<"WormholeCore:UpgradeContract">

  #### Returns TransactionInstruction

  - Defined in utils/instructions/governance.ts:190

Generated using TypeDoc